#ifndef	__MBOX_H__
#define __MBOX_H__

#ifdef AGAINST_MAILBOX_WATCHERS
#include <pthread.h>
#endif

#include "mail.h"

class CMailBox {

private:
	int mboxfd;
	char *mboxf;
	char *mboxp;
	size_t mboxsize;

#ifdef AGAINST_MAILBOX_WATCHERS
	pthread_t amw_thread;
#endif

	class CMail **mails;
	int mlen;
	int mailcount;

	int fillpts();

public:
	CMailBox();
	~CMailBox();
	int open(char *fname);
	int count();
	time_t lastmodified();

	int sort(char *field);

	class CMail *getbynum(int msgnum);
	class CMail *getbyid(int msgid);

	int rmbynum(int msgnum);
	int rmbyid(int msgid);	/* Shifts the message numbers. */

	int  Save();
};

#endif
