#ifndef	__LPGP_H__
#define __LPGP_H__

int  pgpinit(char *recipient);

/*
** op = 1:	encrypt
** op = 2:	sign
** op = 4:	mime
** op = 8:	detached signature
**
*/
char *pgpencode(void *data, size_t size, int op=1);

void *
pgpdecode(void *data, size_t *size,
	char *optDetachedSignature = NULL, int *optSignatureCheckResult = NULL );

void pgpprintkeys(char *format);
int pgpimportkeys(char *keybuf);
char *pgpexportkeys(int exportprivate);
void pgpcleanup();
int pgpkeyinit(int keyalg, int keysize, int expirationDays);

extern char *pgpErrString;

#endif
